System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Xml.Serialization.XmlRoot("soap", Namespace="http://schemas.xmlsoap.org/disco/soap/", IsNullable=true)

A SOAP binding is similar to an interface for XML Web services. It is useful for versioning and when you look for a XML Web service implementing a specific SOAP binding. For instance, a discovery document might contain optional information about SOAP bindings, which specify the SOAP bindings implemented by referenced Web Servcies. SOAP bindings are specified within the XML document containd within a discovery document by adding a SOAP XML element with an XML namespace equal to the constant. The property specifies the URL of the XML Web service and the property specifies the SOAP binding implemented by that XML Web service.

Represents a SOAP binding in a discovery document. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the URL of the XML Web service implementing the SOAP binding.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlAttribute("address")
- Property
  System.Xml.XmlQualifiedName a To be added

  Gets or sets the XML qualified name of the SOAP binding implemented by the XML Web service.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlAttribute("binding")
- Field
  System.String

  SOAP bindings within a discovery document reside within a SOAP XML element, which is a member of the XML namespace specifed by the constant.

  The XML namespace of the element that specifies a SOAP binding within a discovery document.

  1.0.5000.0
  2.0.0.0